import request from '@/utils/request'


// 获取动态表头
export function getHeaderList(patentTypes,applicantTypes) {

  let params={};
  params.patentTypes=patentTypes;
  params.applicantTypes=applicantTypes;
  return request({
    url: '/report/rzlApplicantRankingInfo/getHeader',
    method: 'get',
    params: params
  })
}
// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}
// 获取省市列表
export function getRegionList(data) {
  return request({
    url: '/system/bladeRegion/getDataList',
    method: 'post',
    data: data
  })
}



// 查询专利有效-申请人排名列表
export function listRzlApplicantRankingInfo(query) {
  return request({
    url: '/report/rzlApplicantRankingInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利有效-申请人排名详细
export function getRzlApplicantRankingInfo(id) {
  return request({
    url: '/report/rzlApplicantRankingInfo/' + id,
    method: 'get'
  })
}

// 新增专利有效-申请人排名
export function addRzlApplicantRankingInfo(data) {
  return request({
    url: '/report/rzlApplicantRankingInfo',
    method: 'post',
    data: data
  })
}

// 修改专利有效-申请人排名
export function updateRzlApplicantRankingInfo(data) {
  return request({
    url: '/report/rzlApplicantRankingInfo',
    method: 'put',
    data: data
  })
}

// 删除专利有效-申请人排名
export function delRzlApplicantRankingInfo(id) {
  return request({
    url: '/report/rzlApplicantRankingInfo/' + id,
    method: 'delete'
  })
}
